# inferGroovyClasspath

open fun inferGroovyClasspath(classpath: Iterable<File>): FileCollection

Searches the specified class path for Groovy Jars (`groovy(-indy)`, `groovy-all(-indy)`) and returns a corresponding class path for executing Groovy tools such as the Groovy compiler and Groovydoc tool. The tool versions will match those of the Groovy Jars found. If no Groovy Jars are found on the specified class path, a class path with the contents of the `groovy` configuration will be returned.

The returned class path may be empty, or may fail to resolve when asked for its contents.

#### Return

a corresponding class path for executing Groovy tools such as the Groovy compiler and Groovydoc tool

#### Parameters

classpath

a class path containing Groovy Jars